<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../project/head2/project_head2.inc.xslt"/>
	<xsl:include href="include/material_head.inc.xslt"/>
	<xsl:variable name="top_section" select="'projects'"/>
	<xsl:variable name="top_section_main_page" select="false()"/>
	<xsl:variable name="project_section" select="'materials'"/>
	<xsl:variable name="project_section_main_page" select="false()"/>
	<xsl:variable name="module_url" select="concat($current_project/@url, 'materials/import/select/')"/>
	<xsl:template match="materials_import_select">
		<div class="color-{$current_project/@color_scheme}">
			<xsl:call-template name="draw_project_head2"/>
			<div class="columns-wrap">
				<xsl:call-template name="draw_project_bg"/>
				<table cellspacing="0" class="columns">
					<tr>
						<td class="center-column">
							<h2>Материалы</h2>
							<div class="content">
								<h3>Импорт материалов: шаг 2 из 2</h3>
								<xsl:call-template name="_draw_list"/>
							</div>
						</td>
						<td class="right-column">
							
						</td>
					</tr>
				</table>
			</div>
		</div>
	</xsl:template>
	<xsl:template name="_draw_list">
		<p>
			<xsl:text>Проекты, из которых импортируем: </xsl:text>
			<xsl:for-each select="/root/project_short[@id = current()/project/@id]">
				<a href="{@url}">
					<xsl:value-of select="@title"/>
				</a>
				<xsl:choose>
					<xsl:when test="position() = last()">.</xsl:when>
					<xsl:otherwise>, </xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:text> (</xsl:text>
			<a href="{$current_project/@url}materials/import/" class="note">Изменить</a>
			<xsl:text>)</xsl:text>
		</p>
		<xsl:choose>
			<xsl:when test="material">
				<div class="field">
					<div class="input-">
						<input id="select-all" class="input-checkbox" type="checkbox"/>
						<label for="select-all" class="inline-">
							<strong>Выбрать всё</strong>
						</label>
					</div>
				</div>
				<form action="{$save_prefix}/materials_import_select/" method="post">
					<xsl:for-each select="material">
						<xsl:variable name="material_select" select="." />
						<xsl:for-each select="/root/material_short[@id = current()/@id]">
							<xsl:call-template name="draw_material_head">
								<xsl:with-param name="draw_table_header" select="false()"/>
								<xsl:with-param name="show_checkbox" select="true()"/>
								<xsl:with-param name="show_datetime_column" select="false()"/>
								<xsl:with-param name="remove_on_ignore" select="false()"/>
								<xsl:with-param name="show_ignore_link" select="false()"/>
								<xsl:with-param name="show_categories" select="false()"/>
								<xsl:with-param name="show_announce" select="false()"/>
								<xsl:with-param name="show_edit_link" select="false()"/>
								<xsl:with-param name="project" select="/root/project_short[@id = $material_select/@project_id]"/>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:for-each>
					<button class="button button-small">Импортировать выбранные материалы</button>
					<xsl:apply-templates select="pages[page]"/>
					<input type="hidden" name="project_id" value="{$current_project/@id}"/>
					<input type="hidden" name="retpath" value="{$current_project/@url}materials/"/>
				</form>
			</xsl:when>
			<xsl:otherwise>
				<p>Ни одного материала не найдено</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template mode="head" match="/root">
		<script type="text/javascript" src="{$prefix}/js/jquery.hotkeys.js"/>
		<script type="text/javascript" src="{$prefix}/js/jquery-ui.js"/>
		<script type="text/javascript" src="{$prefix}/js/resource_import.js"/>
	</xsl:template>
	<xsl:template mode="title" match="/root">
		<xsl:text>Импорт материалов &#8212; </xsl:text>
		<xsl:value-of select="$current_project/@title"/>
	</xsl:template>
</xsl:stylesheet>
